/* hello.c, Dietrich Bollmann, Kamakura 2013/06/26 */

#include <stdio.h>
#include <ecl/ecl.h>

int main (int argc, char **argv) {

  /* Function to initialize the library */
  extern void init_lib_HELLO_LISP(cl_object);

  /* Initialize ECL */
  cl_boot(argc, argv);

  /* Initialize the library */
  ecl_init_module(NULL, init_lib_HELLO_LISP);

  /* Use the library */
  cl_eval(c_string_to_object("(hello-lisp)"));

  /* Shut down ECL */
  cl_shutdown();

  return 0;
}
